import type { Workspace } from "@previewjs/core";
import * as vfs from "@previewjs/vfs";
import { InstallOptions } from "./installer";
export declare type PreviewModule = {
    findWorkspaceRoot(filePath: string): string;
    createWorkspace(options: {
        source: string;
        rootDirPath: string;
        reader?: vfs.Reader;
        logLevel: "silent" | "error" | "warn" | "info";
    }): Promise<Workspace | null>;
    vfs: typeof vfs;
};
export declare function loadPreviewModule(options: InstallOptions): Promise<PreviewModule>;
